> ## Documentation Index
> Fetch the complete documentation index at: https://api-docs.helpyousponsor.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get program recipient form

> Gets the program recipient form based on the provided program ID and client information.



## OpenAPI

````yaml get /admin/entity/{program_id}
openapi: 3.0.0
info:
  title: Example for response examples value
  version: '1.0'
servers:
  - url: https://api.helpyousponsor.com/v1
    description: Production
security: []
paths:
  /admin/entity/{program_id}:
    get:
      tags:
        - Entities
      summary: Get program recipient form
      description: >-
        Gets the program recipient form based on the provided program ID and
        client information.
      operationId: addEntity
      parameters:
        - name: program_id
          in: path
          description: Program ID
          required: true
          schema:
            type: integer
      responses:
        '200':
          description: Entity added successfully
          content:
            application/json:
              schema:
                properties:
                  fields:
                    type: array
                    items: {}
                  program:
                    type: object
                  programData:
                    type: object
                  counts:
                    type: object
                type: object
        '404':
          description: Program not found
          content:
            application/json:
              schema:
                properties:
                  message:
                    type: string
                    example: 'Error: Program Not Found.'
                type: object
      security:
        - apiKeyAuth: []
components:
  securitySchemes:
    apiKeyAuth:
      type: apiKey
      description: 'API key generated from Developer Settings. Format: hys_...'
      name: X-HYS-API-Key
      in: header

````